igeo

## Class ILinkedDataAgent<T extends IArithmeticVal<T,IDoubleI>>

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IPointAgent
      - - igeo.IDataAgent<T,IDoubleI>
        - - igeo.ILinkedDataAgent<T>

- All Implemented Interfaces:
    IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, ISubobject, ITransformable, IVal, IVecI, IVecOp
  Direct Known Subclasses:
    ILinkedScalarAgent, ILinkedVec2Agent, ILinkedVecAgent

      public class ILinkedDataAgent<T extends IArithmeticVal<T,IDoubleI>>
      extends IDataAgent<T,IDoubleI>

  Agent class with a generic data with links to other data agents
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `fric`
    `java.util.ArrayList<IDataAgent<T,IDoubleI>>` | `links`
    `T` | `nextData`

    - ### Fields inherited from class igeo.IDataAgent

      `data`

    - ### Fields inherited from class igeo.IPointAgent

      `point, pos, tracker`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILinkedDataAgent()`
    `ILinkedDataAgent(IVecI pos)`
    `ILinkedDataAgent(IVecI pos, T val)`
    `ILinkedDataAgent(T val)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ILinkedDataAgent` | `clr(double dgray)`
    `ILinkedDataAgent` | `clr(double dgray, double dalpha)`
    `ILinkedDataAgent` | `clr(double dr, double dg, double db)`
    `ILinkedDataAgent` | `clr(double dr, double dg, double db, double da)`
    `ILinkedDataAgent` | `clr(float fgray)`
    `ILinkedDataAgent` | `clr(float fgray, float falpha)`
    `ILinkedDataAgent` | `clr(float fr, float fg, float fb)`
    `ILinkedDataAgent` | `clr(float fr, float fg, float fb, float fa)`
    `ILinkedDataAgent` | `clr(IColor c)` to set an object color
    `ILinkedDataAgent` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `ILinkedDataAgent` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `ILinkedDataAgent` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `ILinkedDataAgent` | `clr(int gray)`
    `ILinkedDataAgent` | `clr(int gray, int alpha)`
    `ILinkedDataAgent` | `clr(int r, int g, int b)`
    `ILinkedDataAgent` | `clr(int r, int g, int b, int a)`
    `ILinkedDataAgent` | `clr(IObject o)` to set the same color with the object
    `ILinkedDataAgent` | `connect(IDataAgent<T,IDoubleI> link)`
    `static <R extends IArithmeticVal<R,IDoubleI>> ILinkedDataAgent[]` | `create(IMeshI m)` static method
    `double` | `fric()`
    `ILinkedDataAgent` | `fric(double f)`
    `ILinkedDataAgent` | `hide()`
    `ILinkedDataAgent` | `hsb(double h, double s, double b)`
    `ILinkedDataAgent` | `hsb(double h, double s, double b, double a)`
    `ILinkedDataAgent` | `hsb(float h, float s, float b)`
    `ILinkedDataAgent` | `hsb(float h, float s, float b, float a)`
    `void` | `initLinkedDataAgent()`
    `void` | `interact(java.util.ArrayList<IDynamics> agents)` behavior definition of interaction with other dynamic objects.
    `ILinkedDataAgent` | `layer(ILayer l)` Set layer by ILayer object
    `ILinkedDataAgent` | `name(java.lang.String nm)` methods of IObject
    `ILinkedDataAgent` | `setColor(double dgray)`
    `ILinkedDataAgent` | `setColor(double dgray, double dalpha)`
    `ILinkedDataAgent` | `setColor(double dr, double dg, double db)`
    `ILinkedDataAgent` | `setColor(double dr, double dg, double db, double da)`
    `ILinkedDataAgent` | `setColor(float fgray)`
    `ILinkedDataAgent` | `setColor(float fgray, float falpha)`
    `ILinkedDataAgent` | `setColor(float fr, float fg, float fb)`
    `ILinkedDataAgent` | `setColor(float fr, float fg, float fb, float fa)`
    `ILinkedDataAgent` | `setColor(IColor c)`
    `ILinkedDataAgent` | `setColor(IColor c, double alpha)`
    `ILinkedDataAgent` | `setColor(IColor c, float alpha)`
    `ILinkedDataAgent` | `setColor(IColor c, int alpha)`
    `ILinkedDataAgent` | `setColor(int gray)`
    `ILinkedDataAgent` | `setColor(int gray, int alpha)`
    `ILinkedDataAgent` | `setColor(int r, int g, int b)`
    `ILinkedDataAgent` | `setColor(int r, int g, int b, int a)`
    `ILinkedDataAgent` | `setData(T val)`
    `ILinkedDataAgent` | `setHSBColor(double h, double s, double b)`
    `ILinkedDataAgent` | `setHSBColor(double h, double s, double b, double a)`
    `ILinkedDataAgent` | `setHSBColor(float h, float s, float b)`
    `ILinkedDataAgent` | `setHSBColor(float h, float s, float b, float a)`
    `ILinkedDataAgent` | `show()`
    `void` | `update()` behavior definition of updating dynamics in each time frame
    `ILinkedDataAgent` | `weight(double w)`
    `ILinkedDataAgent` | `weight(float w)`

    - ### Methods inherited from class igeo.IDataAgent

      `addData, getData`

    - ### Methods inherited from class igeo.IPointAgent

      `add, add, add, add, add, add, add, angle, angle, angle, angle, angle, angle, angle, angle, attach, attach, bisect, bisect, brep, brep, brepNum, breps, cp, cp, cp, cp, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, flip, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, hideGeometry, hidePoint, isValid, len, len, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, point, point, pointNum, points, pos, pos, position, position, ref, ref, ref, ref, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, setSize, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, showGeometry, showPoint, size, size, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, transform, transform, transform, transform, translate, translate, translate, unit, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, updateGraphic, updateTarget`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setColor, setColor, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### links

          public java.util.ArrayList<IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>> links

    - #### nextData

          public T extends IArithmeticVal<T,IDoubleI> nextData

    - #### fric

          public double fric

  - ### Constructor Detail

    - #### ILinkedDataAgent

          public ILinkedDataAgent()

    - #### ILinkedDataAgent

          public ILinkedDataAgent(T val)

    - #### ILinkedDataAgent

          public ILinkedDataAgent(IVecI pos)

    - #### ILinkedDataAgent

          public ILinkedDataAgent(IVecI pos,
                                  T val)

  - ### Method Detail

    - #### initLinkedDataAgent

          public void initLinkedDataAgent()

    - #### fric

          public ILinkedDataAgent fric(double f)

    - #### fric

          public double fric()

    - #### setData

          public ILinkedDataAgent setData(T val)

      Overrides:
        `setData` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### connect

          public ILinkedDataAgent connect(IDataAgent<T,IDoubleI> link)

    - #### interact

          public void interact(java.util.ArrayList<IDynamics> agents)

      Description copied from interface: `IDynamics`
      behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.
      Specified by:
        `interact` in interface `IDynamics`
      Overrides:
        `interact` in class `IAgent`

    - #### update

          public void update()

      Description copied from interface: `IDynamics`
      behavior definition of updating dynamics in each time frame
      Specified by:
        `update` in interface `IDynamics`
      Overrides:
        `update` in class `IAgent`

    - #### create

          public static <R extends IArithmeticVal<R,IDoubleI>> ILinkedDataAgent[] create(IMeshI m)

      static method

    - #### name

          public ILinkedDataAgent name(java.lang.String nm)

      methods of IObject
      Overrides:
        `name` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### layer

          public ILinkedDataAgent layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### hide

          public ILinkedDataAgent hide()

      Overrides:
        `hide` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### show

          public ILinkedDataAgent show()

      Overrides:
        `show` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(IColor c,
                                      int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(IColor c,
                                      float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(IColor c,
                                      double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(int gray)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(float fgray)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(double dgray)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(int gray,
                                      int alpha)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(float fgray,
                                      float falpha)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(double dgray,
                                      double dalpha)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(int r,
                                      int g,
                                      int b)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(float fr,
                                      float fg,
                                      float fb)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(double dr,
                                      double dg,
                                      double db)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(int r,
                                      int g,
                                      int b,
                                      int a)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(float fr,
                                      float fg,
                                      float fb,
                                      float fa)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### clr

          public ILinkedDataAgent clr(double dr,
                                      double dg,
                                      double db,
                                      double da)

      Overrides:
        `clr` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### hsb

          public ILinkedDataAgent hsb(float h,
                                      float s,
                                      float b,
                                      float a)

      Overrides:
        `hsb` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### hsb

          public ILinkedDataAgent hsb(double h,
                                      double s,
                                      double b,
                                      double a)

      Overrides:
        `hsb` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### hsb

          public ILinkedDataAgent hsb(float h,
                                      float s,
                                      float b)

      Overrides:
        `hsb` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### hsb

          public ILinkedDataAgent hsb(double h,
                                      double s,
                                      double b)

      Overrides:
        `hsb` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### weight

          public ILinkedDataAgent weight(float w)

      Overrides:
        `weight` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### weight

          public ILinkedDataAgent weight(double w)

      Overrides:
        `weight` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(IColor c)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(IColor c,
                                           int alpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(IColor c,
                                           float alpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(IColor c,
                                           double alpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(int gray)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(float fgray)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(double dgray)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(int gray,
                                           int alpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(float fgray,
                                           float falpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(double dgray,
                                           double dalpha)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(int r,
                                           int g,
                                           int b)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(float fr,
                                           float fg,
                                           float fb)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(double dr,
                                           double dg,
                                           double db)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(int r,
                                           int g,
                                           int b,
                                           int a)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(float fr,
                                           float fg,
                                           float fb,
                                           float fa)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setColor

          public ILinkedDataAgent setColor(double dr,
                                           double dg,
                                           double db,
                                           double da)

      Overrides:
        `setColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setHSBColor

          public ILinkedDataAgent setHSBColor(float h,
                                              float s,
                                              float b,
                                              float a)

      Overrides:
        `setHSBColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setHSBColor

          public ILinkedDataAgent setHSBColor(double h,
                                              double s,
                                              double b,
                                              double a)

      Overrides:
        `setHSBColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setHSBColor

          public ILinkedDataAgent setHSBColor(float h,
                                              float s,
                                              float b)

      Overrides:
        `setHSBColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`

    - #### setHSBColor

          public ILinkedDataAgent setHSBColor(double h,
                                              double s,
                                              double b)

      Overrides:
        `setHSBColor` in class `IDataAgent<T extends IArithmeticVal<T,IDoubleI>,IDoubleI>`